Bug 17003 - unlimited rotation
unlimited rotation
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: logrotate (Show other bugs)
6.2
All Linux
low Severity medium
: ---
: ---
Assigned To: Erik Troan
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-27 11:24 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-27 11:24:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-08-27 11:24:54 EDT
It would be a nice enhancement if you could tell logrotate to rotate a log
infinitly so that you could keep all logs.  The only way I can work out how
to do this is with a post script.  I looked at the source but it's pretty
complicated and I don't have the necessary skills without a lot more
comments ! heh!

Possible strategies I though of were:
	- add another member to the logInfo struct.
	- add a -1 option for rotateCount and then have it increment all names by
1.

Steve
Comment 1 Erik Troan 2000-09-06 03:25:29 EDT
This is tricky -- logrotate needs to know the highest possible log file name.
This could be changed by globbing the files and figuring it out, but this is a
major change.

Note You need to log in before you can comment on or make changes to this bug.